package psql

import "github.com/shopspring/decimal"

type ShopAuto struct {
	ID    int
	Name  string
	Price decimal.Decimal
}

func (ShopAuto) TableName() string {
	return "shop_auto"
}

type ShopBusiness struct {
	ID     int
	Name   string
	Price  decimal.Decimal
	Income decimal.Decimal
}

func (ShopBusiness) TableName() string {
	return "shop_business"
}

type ShopMaid struct {
	ID     int
	Name   string
	Price  decimal.Decimal
	Income decimal.Decimal
}

func (ShopMaid) TableName() string {
	return "shop_maid"
}

type ShopMiner struct {
	ID     int
	Name   string
	Price  decimal.Decimal
	Income decimal.Decimal
}

func (ShopMiner) TableName() string {
	return "shop_miner"
}
